-- Schema: C6StagingPeriodico
-- Stored Procedure: RP_ST_CATINAREA_20161222


CREATE procedure [C6StagingPeriodico].[RP_ST_CATINAREA_20161222] as

begin 

	-- Log esecuzione
	INSERT INTO LOG_ESECUZIONE
		(Nome, Inizio, Nota)
	VALUES (
		'RP_ST_CATINAREA',
		GETDATE(),
		'Elaborazione Trimestrale'
	)

	truncate table C6StagingPeriodico.RP_CATINAREA

	insert into C6StagingPeriodico.RP_CATINAREA
	select * from [CONSEVO].[CatalogoProdotti].dbo.CATINAREA
	
	-- Log esecuzione
	UPDATE
		LOG_ESECUZIONE
	SET
		Fine = GETDATE(),
		Tipo = 'INSERT',
		Righe = @@ROWCOUNT
	WHERE
		Nome = 'RP_ST_CATINAREA' AND
		Inizio = (
			SELECT
				MAX(Inizio)
			FROM
				LOG_ESECUZIONE
			WHERE
				Nome = 'RP_ST_CATINAREA'
		)
	
end



